Skip to content
Open app

cli.deviceToken

POST /api/v1/cli/device/token. No authentication. Body limit: 256 KB.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/clidevicetoken.mdtext/markdown
POST
/api/v1/cli/device/token
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/cli/device/token \
--header 'Content-Type: application/json' \
--data '{ "device_code": "example" }'

No authentication. Body limit: 256 KB.

Media typeapplication/json
object
device_code
required
string
>= 16 characters <= 200 characters

Example generated

{
"device_code": "example"
}

Success.

Media typeapplication/json
object
token
required
string
record
required
object
id
required
string format: uuid
/^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$/
label
required
string
agent
required
string | null
scopes
required
Array<string>
Allowed values: boards:read boards:write comments:write
board_ids
required
Any of:
Array<string>
last_used_at
required
Any of:
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
revoked_at
required
Any of:
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/
expired
boolean
created_at
required
string format: date-time
/^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$/

Example

{
"record": {
"scopes": [
"boards:read"
],
"expired": false
}
}

authorization_pending, slow_down, expired_token, access_denied

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details
error
required
object
details
Any of:
object
status
required
string
Allowed values: authorization_pending slow_down expired_token access_denied

Example

{
"error": {
"details": {
"status": "authorization_pending"
}
}
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}